> For the complete documentation index, see [llms.txt](https://docs.getupdraft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getupdraft.com/api/upload-apps-with-curl.md).

# Upload Apps with CURL

You can easily upload your iOS and Android apps to Updraft using the CURL command to quickly distribute your apps to your testers and team. Just integrate the CURL into your CI pipeline or upload your apps via the command line.

### Step 1 Create your app project

Go to [Updraft](https://getupdraft.com) and create your [app project](/quickstart/your-first-app-project.md)

### Step 2 Copy the CURL of your app to the clipboard

You can find the CURL of your app on the app overview page.&#x20;

#### CURL Upload example

```
curl -X PUT 
https://app.getupdraft.com/api/app_upload/YourEnvironmentAppKey/YourAPIKey
-F app=@/Users/Admin/Downloads/yourapp.apk
-- http1.1 
```

#### CURL Upload with parameters example

If you upload your apps using the CURL command, you can also add customized parameters which will be displayed in the build history of your app in Updraft. Some examples of parameters can be found [here](/api/curl.md#parameters).

```
curl -X PUT 
https://app.getupdraft.com/api/app_upload/YourEnvironmentAppKey/YourAPIKey
-F app=@/Users/Admin/Downloads/yourapp.apk
-F whats_new=ReleaseNotes
-F custom_branch=Develop
-F git_commit_hash=f6ef9eff9f3b3863546b4555584d0d35bbe88b28
-F bundle_version=1.0.20201015.1430
-F git_url=sh://git@gitlab.appswithlove.net:11111/mytestproject
- http1.1
```

#### CURL Upload with parameters version and build version (Windows)

```
curl -X PUT 
-F 'app=@/Users/Admin/Downloads/yourapp.apk'
-F 'version=1.0'
-F 'build_version=1'
- https://app.getupdraft.com/api/app_upload/YourEnvironmentAppKey/YourAPIKey
-- http1.1
```

#### CURL Upload with parameters if using spaces in file names

If you are using an app file name with space in it, use please the CURL command with apostrophe.

```
curl -X PUT 
-F 'app=@/Users/Admin/Downloads/yourapp.apk'
-F 'whats_new=ReleaseNotes'
-F 'custom_branch=Develop'
-F 'git_commit_hash=f6ef9eff9f3b3863546b4555584d0d35bbe88b28'
-F 'bundle_version=1.0.20201015.1430'
-F 'git_url=sh://git@gitlab.appswithlove.net:11111/mytestproject'
- https://app.getupdraft.com/api/app_upload/YourEnvironmentAppKey/YourAPIKey
-- http1.1
```

### Where can I find my API Key?

You can find your API Key in your Profile.

### How can I create a new API Key?

You can, just click on the link 'generate new API Key'.

### What's the App Key?

The App Key is the exact identifier of your app.&#x20;

### Can I add other parameters?

Yes you can add release notes, build type, your development branch or even your git-tag. More information you can find [here](/api/curl.md#parameters).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getupdraft.com/api/upload-apps-with-curl.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
